Changeset 7305


Ignore:
Timestamp:
May 24, 2018, 12:36:23 PM (18 months ago)
Author:
daduve
Message:

Modify scratch to install in adobeair

Location:
zero-lliurex-adobeair/trunk/EPI_FILES/fuentes
Files:
3 edited

Legend:

Unmodified
Added
Removed
  • zero-lliurex-adobeair/trunk/EPI_FILES/fuentes/zero-lliurex-adobeair-sdk.install-files/usr/share/zero-lliurex-adobeair/scratch2_script

    r7303 r7305  
    1 #!/bin/bash
    2 
    3 ACTION="$1"
    4 DIRECTORY="/opt/adobe-air-sdk"
    5 DIRECTORY_BASE="/opt/adobe-air-sdk/scratch"
    6 VERSION="Scratch-latest.air"
    7 PACKAGE_NAME="scratch.air"
    8 APP_PATH="/var/cache/epi-downloads/"
    9 LOG_FILE="/tmp/zero-adobeair.log"
    10 ICON_FILE="/usr/share/mate/applications/edu.media.mit.scratch2editor.desktop"
    11 
    12 
    13 case $ACTION in
    14 
    15         installPackage)
    16                
    17                 if [ -f "${DIRECTORY_BASE}/${PACKAGE_NAME}" ]; then
    18                         rm -rf $DIRECTORY_BASE; sleep 2
    19 
    20                         if [ -d "$DIRECTORY_BASE" ]; then
    21                                 exit 1
    22                         fi
    23                 fi     
    24 
    25                 mkdir $DIRECTORY_BASE
    26                
    27                 cp "${APP_PATH}/${VERSION}" "${DIRECTORY_BASE}/${PACKAGE_NAME}"
    28 
    29                                                                            
    30                 if ! [ -f "${DIRECTORY_BASE}/${PACKAGE_NAME}" ]; then
    31                         exit 1
    32                 fi
    33         ;;
    34 
    35         postInstall)
    36                
    37 echo ">> Creating launcher..."
    38 : > $ICON_FILE
    39 unzip -j "${DIRECTORY_BASE}/${PACKAGE_NAME}" icons/AppIcon128.png -d "${DIRECTORY_BASE}/"
    40 cat << _EOF_ > $ICON_FILE
    41 [Desktop Entry]
    42 Encoding=UTF-8
    43 Version=1.0
    44 Type=Application
    45 Exec=/usr/sbin/lliurex_scratch2.sh
    46 TryExec=/usr/sbin/lliurex_scratch2.sh
    47 Icon=/opt/adobe-air-sdk/scratch/AppIcon128.png
    48 Terminal=false
    49 Name=Scratch 2 Editor
    50 Comment= Programming system and content development tool
    51 Name[es]=Scratch, programación visual
    52 Comment[es]=Sistema de programación visual para la educación
    53 Name[ca_ES@valencia]=Scratch, programació visual
    54 Comment[ca_ES@valencia]=Sistema de programació visual per a l'educació
    55 Name[ca_ES.UTF-8@valencia]=Scratch, programació visual
    56 Comment[ca_ES.UTF-8@valencia]=Sistema de programació visual per a l'educació
    57 Categories=Application;Education;
    58 MimeType=application/x-scratch-project
    59 _EOF_
    60 chmod +x $ICON_FILE
    61 
    62 : > /usr/sbin/lliurex_scratch2.sh
    63 cat << _EOF_ > /usr/sbin/lliurex_scratch2.sh
    64 #!/bin/bash
    65 http_proxy=""; /opt/adobe-air-sdk/adobe-air/adobe-air /opt/adobe-air-sdk/scratch/scratch.air
    66 _EOF_
    67 chmod +x /usr/sbin/lliurex_scratch2.sh
     1{
     2        "type":"file",
     3        "pkg_list":[{"name":"scratch2","version":{"all":"Scratch-latest.air"},"key_store":"zero-lliurex-adobeair-scratch2","url_download":"http://lliurex.net/recursos-edu/misc/"}],
     4        "script":{"name":"/usr/share/zero-lliurex-adobeair/scratch2_script","remove":true},
     5        "required_root":true,
     6        "depends":"/usr/share/zero-lliurex-adobeair/adobeair.epi",
     7        "zomando": "zero-lliurex-adobeair-scratch2"
    688       
    69                
    70         ;;     
    71 
    72         remove)
    73                 echo "Removing files..."
    74 
    75                 if [ -f "${DIRECTORY_BASE}/${PACKAGE_NAME}" ]; then
    76                         rm -rf $DIRECTORY_BASE; sleep 2
    77 
    78                         if [ -d "$DIRECTORY_BASE" ]; then
    79                                 exit 1
    80                         else
    81                                 if [ -f /usr/sbin/lliurex-scratch2.sh ]; then
    82                                         rm -f /usr/sbin/lliurex-scratch2.sh
    83                                 fi
    84                         fi             
    85                 fi     
    86         ;;
    879       
    88                
    89 esac
    90 exit 0 
     10        }
  • zero-lliurex-adobeair/trunk/EPI_FILES/fuentes/zero-lliurex-adobeair.install-files/usr/share/zero-lliurex-adobeair/adobeair_script

    r7304 r7305  
    503503        installPackage)
    504504               
     505                chmod +x $APP_PATH$VERSION
    505506                $APP_PATH$VERSION -silent -eulaAccepted -pingbackAllowed
    506507                #Test if the package in installed
  • zero-lliurex-adobeair/trunk/EPI_FILES/fuentes/zero-lliurex-adobeair.install-files/usr/share/zero-lliurex-adobeair/scratch2_script

    r7239 r7305  
    22
    33ACTION="$1"
    4 PKG="$2"
     4APP_PATH="/var/cache/epi-downloads/"
     5PACKAGE_NAME="edu.media.mit.scratch2editor"
     6DEPENDS="adobeair"
     7VERSION="Scratch-latest.air"
     8LOG_FILE="/root/.appdata/Adobe/AIR/Logs/Install.log"
     9ICON_FILE="/opt/AdobeAirApp/Scratch 2/share/META-INF/AIR/edu.media.mit.scratch2editor.desktop"
     10MATE_ICON_FILE="/usr/share/mate/applications/"
    511
    6 DIRECTORY="/opt/adobe-air-sdk"
    7 DIRECTORY_BASE="/opt/adobe-air-sdk/scratch"
    8 VERSION="Scratch-latest.air"
    9 PACKAGE_NAME="scratch.air"
    10 APP_PATH="/var/cache/epi-downloads/"
    11 LOG_FILE="/tmp/zero-adobeair.log"
    12 ICON_FILE="/usr/share/mate/applications/edu.media.mit.scratch2editor.desktop"
     12
     13#Para el control de versiones partimos de que la 437 corresponde a la 900 y asi incrementalmente en ambos casos en el fichero indicado
     14UPDATE_FILE="/opt/AdobeAirApp/Scratch 2/share/META-INF/AIR/application.xml"
     15VERSION_ORIG_NUMBER="458.0.1"
     16VERSION_LLIUREX_NUMBER="905"
    1317
    1418
     
    3236        installPackage)
    3337               
    34                 if [ -f "${DIRECTORY_BASE}/${PACKAGE_NAME}" ]; then
    35                         rm -rf $DIRECTORY_BASE; sleep 2
    36 
    37                         if [ -d "$DIRECTORY_BASE" ]; then
    38                                 exit 1
    39                         fi
    40                 fi     
    41 
    42                 mkdir $DIRECTORY_BASE
     38                TEST=$( dpkg-query -s $DEPENDS 2> /dev/null| grep Status | cut -d " " -f 4 )
     39                if [ "$TEST" != 'installed' ]; then
     40                        echo "Your package $DEPENDS has a problem to be installed in your system, and Scratch need it for install it, please retry again or contact with Lliurex Team at http://mestreacasa.gva.es/web/lliurex/forums"
     41                        exit 1
     42                fi
    4343               
    44                 cp "${APP_PATH}/${VERSION}" "${DIRECTORY_BASE}/${PACKAGE_NAME}"
    45 
    46                                                                            
    47                 if ! [ -f "${DIRECTORY_BASE}/${PACKAGE_NAME}" ]; then
     44                if [ ! -f  $APP_PATH$VERSION ]; then
     45                        echo "Your package $VERSION has a problem to download from lliurex.net, please retry again or contact with Lliurex Team at http://mestreacasa.gva.es/web/lliurex/forums"
     46                        exit 1
     47                fi
     48               
     49                echo "The package $VERSION in downloaded, now it's installing in your system, please wait......."
     50                chmod +x $APP_PATH$VERSION
     51                /usr/bin/Adobe\ AIR\ Application\ Installer -silent -eulaAccepted -location /opt/AdobeAirApp $APP_PATH$VERSION
     52                if [ "$?" = "0" ]; then
     53                        echo "Your package $VERSION has been installed in your system"
     54                else
     55                        echo "Your package $VERSION has a problem to be installed in your system, please retry again or contact with Lliurex Team at http://mestreacasa.gva.es/web/lliurex/forums"
    4856                        exit 1
    4957                fi
     
    5260        postInstall)
    5361               
    54 echo ">> Creating launcher..."
    55 : > $ICON_FILE
    56 unzip -j "${DIRECTORY_BASE}/${PACKAGE_NAME}" icons/AppIcon128.png -d "${DIRECTORY_BASE}/"
    57 cat << _EOF_ > $ICON_FILE
    58 [Desktop Entry]
    59 Encoding=UTF-8
    60 Version=1.0
    61 Type=Application
    62 Exec=/usr/sbin/lliurex_scratch2.sh
    63 TryExec=/usr/sbin/lliurex_scratch2.sh
    64 Icon=/opt/adobe-air-sdk/scratch/AppIcon128.png
    65 Terminal=false
    66 Name=Scratch 2 Editor
    67 Comment= Programming system and content development tool
    68 Name[es]=Scratch, programación visual
    69 Comment[es]=Sistema de programación visual para la educación
    70 Name[ca_ES@valencia]=Scratch, programació visual
    71 Comment[ca_ES@valencia]=Sistema de programació visual per a l'educació
    72 Name[ca_ES.UTF-8@valencia]=Scratch, programació visual
    73 Comment[ca_ES.UTF-8@valencia]=Sistema de programació visual per a l'educació
    74 Categories=Application;Education;
    75 MimeType=application/x-scratch-project
    76 _EOF_
    77 chmod +x $ICON_FILE
    7862
    79 : > /usr/sbin/lliurex_scratch2.sh
    80 cat << _EOF_ > /usr/sbin/lliurex_scratch2.sh
    81 #!/bin/bash
    82 http_proxy=""; /opt/adobe-air-sdk/adobe-air/adobe-air /opt/adobe-air-sdk/scratch/scratch.air
    83 _EOF_
    84 chmod +x /usr/sbin/lliurex_scratch2.sh
     63echo ">> Modify update file..."
     64#Modificamos el fichero de la actualizacion para que no chequee en el arranque
     65sed -i -e "s%<versionNumber>$VERSION_ORIG_NUMBER<\/versionNumber>%<versionNumber>$VERSION_LLIUREX_NUMBER<\/versionNumber>%g" "$UPDATE_FILE"
     66if [ "$?" = "0" ]; then
     67                echo "File version is updated."
     68        else
     69                echo "`printf "\e[32mError to update file version, this is not very important, but you can have any problem to use it."``echo -e "\033[0m"`"
     70        fi
     71echo ">> Generating Desktop..."
     72#El desktop que se genera lo modificamos para que aparezca en la categoria de educación.
     73sed -i -e 's/Categories=Utility;/Categories=Application;Education;/g' "$ICON_FILE"
     74if [ "$?" = "0" ]; then
     75                echo "Congratulations desktop has been modified with LliureX parameters."
     76        else
     77                echo "`printf "\e[32mError to modify Desktop, this is not very important, but you can have any problem to use it."``echo -e "\033[0m"`"
     78        fi
     79sed -i -e 's/GenericName=Scratch\ 2\ Editor/GenericName=Scratch\ 2\ Editor/g' "$ICON_FILE"
     80sed -i -e 's/Name=Scratch\ 2\ Editor/Name=Scratch\ 2\ Editor/g' "$ICON_FILE"
     81sed -i -e 's/Comment=<>/Comment=Scratch\ 2\ Editor/g' "$ICON_FILE"
     82#Y le añadimos los Comentarios y traducciones, aunque antes las eliminamos si existian para que no esten duplicadas en el fichero
     83#Eliminacion
     84sed -i "/ca_ES/d" "$ICON_FILE"
     85sed -i "/\[es\]/d" "$ICON_FILE"
     86sed -i "/qcv_ES/d" "$ICON_FILE"
     87#Añadido
     88echo "Name[ca_ES@valencia]=Scratch 2 Editor" >> "$ICON_FILE"
     89echo "Comment[ca_ES@valencia]=Sistema de programació visual per a l'educació" >> "$ICON_FILE"
     90echo "Name[ca_ES.UTF-8@valencia]=Scratch 2 Editor" >> "$ICON_FILE"
     91echo "Comment[ca_ES.UTF-8@valencia]=Sistema de programació visual per a l'educació" >> "$ICON_FILE"
     92echo "Name[es]=Scratch 2 Editor" >> "$ICON_FILE"
     93echo "Comment[es]=Sistema de programación visual para la educación" >> "$ICON_FILE"
     94echo "Name[es.UTF-8]=Scratch 2 Editor" >> "$ICON_FILE"
     95echo "Comment[es.UTF-8]=Sistema de programación visual para la educación" >> "$ICON_FILE"
     96echo "Name[qcv_ES]=Scratch 2 Editor" >> "$ICON_FILE"
     97echo "Comment[qcv_ES]=Sistema de programació visual per a l'educació" >> "$ICON_FILE"
     98
     99echo "Copy new desktop....."
     100cp "$ICON_FILE" "$MATE_ICON_FILE"
    85101       
    86102               
     
    90106                echo "Removing files..."
    91107
    92                 if [ -f "${DIRECTORY_BASE}/${PACKAGE_NAME}" ]; then
    93                         rm -rf $DIRECTORY_BASE; sleep 2
    94 
    95                         if [ -d "$DIRECTORY_BASE" ]; then
    96                                 exit 1
    97                         else
    98                                 if [ -f /usr/sbin/lliurex-scratch2.sh ]; then
    99                                         rm -f /usr/sbin/lliurex-scratch2.sh
    100                                 fi
    101                         fi             
    102                 fi     
     108                apt-get remove $PACKAGE_NAME
     109                if [ "$?" = "0" ]; then
     110                        echo "$PACKAGE_NAME has been remove from your system."
     111                else
     112                        echo "`printf "\e[32mError to remove $PACKAGE_NAME from your system, retry again or contact with Lliurex Team at http://mestreacasa.gva.es/web/lliurex/forums"``echo -e "\033[0m"`"
     113                        exit 1
     114                fi
    103115        ;;
    104116       
Note: See TracChangeset for help on using the changeset viewer.